%define module NotificationBubble

%{?perl_default_filter}

Name:		perl-Gtk2-%module
Version:	0.01
Release:	%mkrel 25
Summary:	Perl module interface to the EggNotificationBubble library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel 
BuildRequires:	perl-devel 
BuildRequires:	perl-ExtUtils-Depends 
BuildRequires:	perl-ExtUtils-PkgConfig 
BuildRequires:	perl-Glib >= 0.92
BuildRequires:	perl-Gtk2
Requires:	gtk+2 perl-Gtk2 >= 0.95-6mdk

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%apply_patches

%build
perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.01-25pclos2017
- rebuild against updates

